# Maintaining a worker

This page guides you through common tasks applied while maintaining an Arkindex
worker.

## Updating the template

To get the changes we make on our [official template][base-worker] to apply to
your worker, you will need to re-apply the template to the worker and resolve
any conflicts that may arise.

### To update the template

1. Run the following command:

   ```
   cookiecutter base-worker -f --config-file YOURFILE.yaml --no-input
   ```

   Where `YOURFILE.yaml` is the path of the YAML file you previously created.

2. Answer `yes` when Cookiecutter requests confirmation to delete and
   re-download the template.

3. Using the Git diff, resolve the conflicts yourself as Cookiecutter will be
   overwriting existing files.

[base-worker]: https://gitlab.teklia.com/workers/base-worker/
